/**
 *
 * Project: javaee6earPOC-ejb
 *
 * Copyright (c) 2015 Trusted Shops GmbH All rights reserved.
 *
 */
package org.jboss.tools.example.service;

import java.util.logging.Logger;

import javax.ejb.Stateless;
import javax.inject.Inject;
import javax.persistence.EntityManager;

import org.jboss.tools.example.model.Member;

/**
 * TODO describe MemberLogin
 *
 * @author created by impvti 07.07.2015 15:49:54
 *
 */
@Stateless
public class MemberLogin
{
    @Inject
    private Logger        log;

    @Inject
    private EntityManager em;

    public Member login(Member member) throws Exception
    {
        Member loggedInMember = null;
        log.info("Logging in " + member.getEmail());
        loggedInMember = (Member) em
                .createQuery("FROM Member WHERE email=:email")
                .setParameter("email", member.getEmail())
                .getSingleResult();
        log.info("Logged in " + loggedInMember.getEmail());

        return loggedInMember;
    }

}
